import {createApp} from 'vue'
import './style.css'
import "./theme.css"
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import {CommonData} from "./CommonData.ts";
import {Models} from "./Models.ts";
import {DataCenter} from "./DataCenter.ts";
import router from "./router.ts";
import App from "./App.vue";
import Area = Models.Area;


const app = createApp(App)
app.use(router)
app.use(ElementPlus)
app.mount('#app')

let ads = CommonData.areas.split("\n")
ads.forEach(function (records, index) {
    if (records.length > 0 && index > 0) {
        let items = records.split(",")
        let dt = new Area()
        dt.sheng = items[0]
        dt.shi = items[1]
        dt.qu = items[2]
        dt.weidu = parseFloat(items[3])
        dt.jingdu = parseFloat(items[4])
        dt.hour = parseInt(items[5])
        dt.minute = parseInt(items[6])
        dt.second = parseInt(items[7])
        dt.shiPinYin = items[8]
        dt.quPinYin = items[9]
        DataCenter.addAreaData(dt)
    }
})